[New-bugs-announce] [issue3702] test_urllib2.test_trivial fails when run from another Windows drive

Antoine Pitrou report at bugs.python.org
Wed Aug 27 16:01:42 CEST 2008


New submission from Antoine Pitrou <pitrou at free.fr>:

======================================================================
ERROR: test_trivial (test.test_urllib2.TrivialTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Z:\py3k\__svn__\lib\urllib\request.py", line 1199, in
open_local_file
    stats = os.stat(localfile)
WindowsError: [Error 3] Le chemin d'accès spécifié est introuvable:
'\\py3k\\__s
vn__\\lib\\urllib\\request.py'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "Z:\py3k\__svn__\lib\test\test_urllib2.py", line 32, in test_trivial
    f = urllib.request.urlopen(file_url)
  File "Z:\py3k\__svn__\lib\urllib\request.py", line 122, in urlopen
    return _opener.open(url, data, timeout)
  File "Z:\py3k\__svn__\lib\urllib\request.py", line 359, in open
    response = self._open(req, data)
  File "Z:\py3k\__svn__\lib\urllib\request.py", line 377, in _open
    '_open', req)
  File "Z:\py3k\__svn__\lib\urllib\request.py", line 337, in _call_chain
    result = func(*args)
  File "Z:\py3k\__svn__\lib\urllib\request.py", line 1178, in file_open
    return self.open_local_file(req)
  File "Z:\py3k\__svn__\lib\urllib\request.py", line 1213, in
open_local_file
    raise URLError(msg)
urllib.error.URLError: <urlopen error [Error 3] Le chemin d'accès
spécifié est i
ntrouvable: '\\py3k\\__svn__\\lib\\urllib\\request.py'>

----------------------------------------------------------------------

----------
components: Library (Lib), Tests
messages: 72031
nosy: pitrou
priority: normal
severity: normal
status: open
title: test_urllib2.test_trivial fails when run from another Windows drive
type: behavior
versions: Python 3.0

_______________________________________
Python tracker <report at bugs.python.org>
<http://bugs.python.org/issue3702>
_______________________________________


More information about the New-bugs-announce mailing list